



pip check
IF %ERRORLEVEL% NEQ 0 exit /B 1
if not exist %CONDA_PREFIX%\\etc\\conda\\activate.d\\anaconda-ident_activate.bat exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
if not exist %CONDA_PREFIX%\\Scripts\\.anaconda-ident-pre-unlink.bat exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
if not exist %CONDA_PREFIX%\\Scripts\\.anaconda-ident-post-link.bat exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
set ANACONDA_IDENT_DEBUG=1
IF %ERRORLEVEL% NEQ 0 exit /B 1
set PYTHONUNBUFFERED=1
IF %ERRORLEVEL% NEQ 0 exit /B 1
conda create -n testchild1 --yes
IF %ERRORLEVEL% NEQ 0 exit /B 1
conda create -n testchild2 --yes
IF %ERRORLEVEL% NEQ 0 exit /B 1
conda info
IF %ERRORLEVEL% NEQ 0 exit /B 1
conda info --envs
IF %ERRORLEVEL% NEQ 0 exit /B 1
anaconda-ident --status 2>&1
IF %ERRORLEVEL% NEQ 0 exit /B 1
anaconda-keymgr --help 2>&1
IF %ERRORLEVEL% NEQ 0 exit /B 1
python tests/test_config.py 2>&1
IF %ERRORLEVEL% NEQ 0 exit /B 1
exit /B 0
